Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/spin: new aport

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Sun, 18 Sep 2016 21:24:48 -0400

http://spinroot.com/
Tool for formal verification of distributed software systems
---
 testing/spin/APKBUILD       | 36 ++++++++++++++++++++++++++++++++++++
 testing/spin/makefile.patch | 20 ++++++++++++++++++++
 2 files changed, 56 insertions(+)
 create mode 100644 testing/spin/APKBUILD
 create mode 100644 testing/spin/makefile.patch
diff --git a/testing/spin/APKBUILD b/testing/spin/APKBUILD
new file mode 100644
index 0000000..f5a0c5a
--- /dev/null
+++ b/testing/spin/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: Daniel Sabogal <dsabogalcc_at_gmail.com>
+# Maintainer:
+pkgname=spin
+pkgver=6.4.5
+_pkgver=${pkgver//./}
+pkgrel=0
+pkgdesc="Tool for formal verification of distributed software systems"
+url="http://spinroot.com/"
+arch="x86 x86_64"
+license="BSD"
+depends=""
+makedepends="bison"
+subpackages="$pkgname-doc"
+source="http://spinroot.com/spin/Src/$pkgname$_pkgver.tar.gz
+	makefile.patch"
+
+builddir="$srcdir/Spin"
+
+build() {
+	make -C "$builddir/Src$pkgver" || return 1
+}
+
+package() {
+	cd "$builddir"
+	install -d "$pkgdir"/usr/share/man/man1
+	install -d "$pkgdir"/usr/bin
+	install -m644 Man/spin.1 "$pkgdir"/usr/share/man/man1 || return 1
+	install -m755 "Src$pkgver"/spin "$pkgdir"/usr/bin || return 1
+}
+
+md5sums="508241a94effd48b24ec29622bd0b668  spin645.tar.gz
+e6d0ca0ed4b3b5ff0a6f93db17234b1c  makefile.patch"
+sha256sums="44081282eb63cd9df763ebbcf8bad19dbeefecbebf8ac2cc090ea92e2ab71875  spin645.tar.gz
+75a028550a822e70a8e3a27b30af9dca960e9ac3f907d348404dfc68fab8855e  makefile.patch"
+sha512sums="77bc35bb852c0448915c655bf11910d0b226d30d66abaa63311e6227de03f920ca026e7399cbeebdae631368fd8091f1e8330bd3094bd4febdf7d5c7a81834ad  spin645.tar.gz
+de6e395714439e3e6e4d10dd25d9f3c2566ec7aa9ac58452a468a73c92690094f2df4c6e1a1425295a575e142764a33b7f86a2d2ea9788cfa23b84ff60bc43d6  makefile.patch"
diff --git a/testing/spin/makefile.patch b/testing/spin/makefile.patch
new file mode 100644
index 0000000..1e01f4f
--- /dev/null
+++ b/testing/spin/makefile.patch
_at_@ -0,0 +1,20 @@
+--- Spin/Src6.4.5/makefile.orig
++++ Spin/Src6.4.5/makefile
+_at_@ -7,8 +7,6 @@
+ # see also ./make_pc for a simpler script not requiring make
+ # for 32-bit compilation, use ./make32
+ 
+-CC=gcc
+-CFLAGS=-O2 -DNXT	# on some systems add: -I/usr/include
+ 			# on a PC:    add -DPC
+ 			# on Solaris: add -DSOLARIS
+ 			# on a Mac:   add -DMAC
+_at_@ -37,7 +35,7 @@
+ 	tl_mem.o tl_rewrt.o tl_cache.o
+ 
+ spin:	$(SPIN_OS) $(TL_OS) spin.o
+-	$(CC) $(CFLAGS) -o spin spin.o $(SPIN_OS) $(TL_OS)
++	$(CC) $(CFLAGS) $(LDFLAGS) -o spin spin.o $(SPIN_OS) $(TL_OS)
+ 
+ install: spin
+ 	cp spin /usr/local/bin
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Sep 18 2016 - 21:24:48 GMT